跳转到内容

Nucleus Image

集成

模型 id nucleus-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nucleus-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.01 10 API 积分 在此页面运行

获取 API 密钥
Open model 文生图 #stylized#transform#typography

采用稀疏混合专家扩散架构的文生图模型,提供 7 种宽高比预设

Open model · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

引导图像生成的提示词。

aspect_ratio 默认 1:1

生成图像的宽高比,从 Nucleus-Image 的固定预设集合中选择。

num_images 默认 1

请求生成的图像数量。

高级 negative_prompt · output_format · num_inference_steps · guidance_scale · seed · enable_safety_checker
默认

生成期间应用的负面提示词。

output_format 默认 png

结果图像的文件格式。

默认 50

要执行的推理步数。

默认 8

应用于无分类器引导的缩放系数。

使生成结果可复现的种子值。

POST /run/nucleus-image?wait=20 报价 → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nucleus-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Nucleus Image

根据文本 `prompt` 生成图像,并支持 `negative_prompt`。宽高比从七个预设中选择:1:1、16:9、9:16、4:3、3:4、3:2 和 2:3。可控制 `num_inference_steps`(1 到 100)、`guidance_scale`(0 到 20)和 `seed`,并请求最多 2 张 png 或 jpeg 图像。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
引导图像生成的提示词。
negative_prompt可选
类型string
默认值
生成期间应用的负面提示词。
aspect_ratio可选
类型enum
默认值1:1
1:116:99:164:33:43:22:3
生成图像的宽高比,从 Nucleus-Image 的固定预设集合中选择。
num_inference_steps可选
类型integer
默认值50
1 – 100
要执行的推理步数。
guidance_scale可选
类型number
默认值8
0 – 20
应用于无分类器引导的缩放系数。
seed可选
类型integer | null
使生成结果可复现的种子值。
num_images可选 num_outputs
类型integer
默认值1
1 – 2
请求生成的图像数量。
enable_safety_checker可选
类型boolean
默认值true
安全检查;对于被标记为不安全的图像,返回黑色图像替代。true 启用检查;false 仅对获授权账户禁用检查,未获授权的请求无论如何都会检查。
output_format可选
类型enum
默认值png
jpegpng
结果图像的文件格式。
必填 规范名称,也可接受

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nucleus-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, width, height, content_type}生成图像的文件信息。
timings
object
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。
has_nsfw_concepts
array of boolean指示生成的图像中是否出现 NSFW 概念。
prompt
string图像生成期间使用的提示词。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/nucleus-image.md. 所有模型和指南: https://doitong.com/developers/llms.txt